
class Spring(object):
    __slots__ = (
#        "name",
        )

    def __init__(self):
        pass

############## MenuFolder ###############

import bpy, ossl.menu as menu

class OSSL_MT_Spring(menu.MenuFolder):
    bl_label = "OSSL Menu Spring"
    bl_idname = "OSSL_MT_Spring"

def OSSL_menu_Spring(self, comtext):
    self.layout.menu("OSSL_MT_Spring", text="Spring", icon="MOD_SCREW")

import ossl.util as util

def register():
    print("registering: OSSL Type Pool.Spring")
    bpy.utils.register_class(OSSL_MT_Spring)
    bpy.types.OSSL_MT_Pool.append(OSSL_menu_Spring)
    util.imports("ossl.types.Pool.Spring", "generate_default")
    print("registered: OSSL Type Pool.Spring")

def unregister():
    print("unregistering: OSSL Type Pool.Spring")
    util.release("ossl.types.Pool.Spring", "generate_default")
    bpy.types.OSSL_MT_Pool.remove(OSSL_menu_Spring)
    bpy.utils.unregister_class(OSSL_MT_Spring)
    print("unregistered: OSSL Type Pool.Spring")

if __name__ == "__main__":
    util.reset_addon()
